<template>
  <div class="page mb-12">
    <div class="container">
      <div class="page__content flex flex-col gap-3">
        <div class="page__title">Тестовое задание</div>
        <p>Напишите простой одностраничный Блог на Vue.js</p>
        <h3 class="font-bold">Тех задание</h3>
        <p>
          Взять данные <a href="https://jsonplaceholder.typicode.com/posts" target="_blank" class="text-blue-500">отсюда</a>, использовать <a
            href="https://github.com/typicode/json-server" target="_blank" class="text-blue-500">документацию</a>.
          Сделать список с пагинацией с загрузкой N-количество постов.
          Сделать life search (<b>добавлять query параметр c ключём 'q'</b>) по постам и отдельную страницу поста.
        </p>

        <h3 class="font-bold">Задание с плюсом:</h3>

        <p>
          На странице поста вывести комментарии(<b class="text-red-500">данного поста</b>) с постепенной загрузкой по скролу.
          Life search комментария по пользователю(<b>добавлять query параметр c ключём 'q'</b>).
          Сортировку постов по заголовку.
          Использовать Nuxt3
        </p>

        <h3 class="font-bold">Спецификация</h3>
        <p>В следующем списке, перечислены основные моменты:</p>
        <p>Требование:</p>
        <ul>
          <li>- Запрещается грузить сразу все данные;</li>
          <li>- Использовать Composition API;</li>
          <li>- Минимальное количество зависимостей - будет плюсом;</li>
          <li>- Единый Code Style в проекте;</li>
          <li>- Использование TypeScript;</li>
          <li>- Запрещается игнорировать TS ошибки // @ts-ignore</li>
          <li>- Бандлер Vite;</li>
          <li>- Допускается использование UI библиотек (“Quasar”, “Naiveui”, etc);</li>
          <li>- Не использовать axios</li>
        </ul>
        <h3 class="font-bold">Результаты</h3>
        <p>
          Разместите исходный код приложения на (GitHub.com, GitLab.com, Bitbucket.org, etc) в публичном репозитории. Также ссылка на live demo для ознакомления и тестирования.
        </p>
        <p>
          <b>Примечание:</b>
          вместо live demo, допускается докеризация проекта для локального воспроизведения веб приложения.
        </p>


      </div>
    </div>
  </div>

</template>
<script setup lang="ts">
definePageMeta({
  layout: 'base',
})
useHead({
  title: 'Technical specification',
  meta: [
    {
      name: 'description',
      content: 'Техническое задание',
    },
  ],
})
</script>